import{e as n}from"./app.031ea061.js";import{_ as s}from"./plugin-vue_export-helper.21dcd24c.js";const a={},e=n(`<h1 id="scss" tabindex="-1"><a class="header-anchor" href="#scss" aria-hidden="true">#</a> SCSS</h1><p>For easier style configuration you can import the <code>scss</code> file and modify the default properties</p><div class="language-scss ext-scss line-numbers-mode"><pre class="language-scss"><code><span class="token keyword">@import</span> <span class="token string">&#39;vue3-date-time-picker/src/Vue3DatePicker/style/main.scss&#39;</span><span class="token punctuation">;</span>
</code></pre><div class="line-numbers"><span class="line-number">1</span><br></div></div><p>Available properties are:</p><div class="language-scss ext-scss line-numbers-mode"><pre class="language-scss"><code><span class="token comment">// General</span>
<span class="token property"><span class="token variable">$dp__font_family</span></span><span class="token punctuation">:</span> -apple-system<span class="token punctuation">,</span> blinkmacsystemfont<span class="token punctuation">,</span> <span class="token string">&quot;Segoe UI&quot;</span><span class="token punctuation">,</span> roboto<span class="token punctuation">,</span> oxygen<span class="token punctuation">,</span> ubuntu<span class="token punctuation">,</span> cantarell<span class="token punctuation">,</span> <span class="token string">&quot;Open Sans&quot;</span><span class="token punctuation">,</span>
  <span class="token string">&quot;Helvetica Neue&quot;</span><span class="token punctuation">,</span> sans-serif <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Font size for the menu</span>
<span class="token property"><span class="token variable">$dp__border_radius</span></span><span class="token punctuation">:</span> 4px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Border radius everywhere</span>
<span class="token property"><span class="token variable">$dp__cell_border_radius</span></span><span class="token punctuation">:</span> <span class="token variable">$dp__border_radius</span> <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Specific border radius for the calendar cell</span>

<span class="token comment">// Transitions</span>
<span class="token property"><span class="token variable">$dp__transition_length</span></span><span class="token punctuation">:</span> 22px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Passed to the translateX in animation</span>
<span class="token property"><span class="token variable">$dp__transition_duration</span></span><span class="token punctuation">:</span> 0.1s <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Transition duration</span>

<span class="token comment">// Sizing</span>
<span class="token property"><span class="token variable">$dp__button_height</span></span><span class="token punctuation">:</span> 35px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// size for buttons in overlays</span>
<span class="token property"><span class="token variable">$dp__month_year_row_height</span></span><span class="token punctuation">:</span> 35px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// height of the month-year select row</span>
<span class="token property"><span class="token variable">$dp__month_year_row_button_size</span></span><span class="token punctuation">:</span> 25px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Specific height for the next/previous buttons</span>
<span class="token property"><span class="token variable">$dp__button_icon_height</span></span><span class="token punctuation">:</span> 20px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// icon sizing in buttons</span>
<span class="token property"><span class="token variable">$dp__cell_size</span></span><span class="token punctuation">:</span> 35px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// width and height of calendar cell</span>
<span class="token property"><span class="token variable">$dp__cell_padding</span></span><span class="token punctuation">:</span> 5px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// padding in the cell</span>
<span class="token property"><span class="token variable">$dp__common_padding</span></span><span class="token punctuation">:</span> 10px <span class="token statement keyword">!default</span><span class="token punctuation">;</span>
<span class="token property"><span class="token variable">$dp__input_padding</span></span><span class="token punctuation">:</span> 6px 12px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// padding in the input</span>
<span class="token property"><span class="token variable">$dp__input_icon_padding</span></span><span class="token punctuation">:</span> 35px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Padding on the left side of the input if icon is present</span>
<span class="token property"><span class="token variable">$dp__menu_min_width</span></span><span class="token punctuation">:</span> 260px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Adjust the min width of the menu</span>
<span class="token property"><span class="token variable">$dp__action_buttons_padding</span></span><span class="token punctuation">:</span> 2px 5px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Adjust padding for the action buttons in action row</span>
<span class="token property"><span class="token variable">$dp__row_margin</span></span><span class="token punctuation">:</span> 5px 0 <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Adjust the spacing between rows in the calendar</span>
<span class="token property"><span class="token variable">$dp__calendar_header_cell_padding</span></span><span class="token punctuation">:</span> 0.5rem <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Adjust padding in calendar header cells</span>
<span class="token property"><span class="token variable">$dp__two_calendars_spacing</span></span><span class="token punctuation">:</span> 10px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Space between two calendars if using two calendars</span>
<span class="token property"><span class="token variable">$dp__overlay_col_padding</span></span><span class="token punctuation">:</span> 3px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Padding in the overlay column</span>
<span class="token property"><span class="token variable">$dp__time_inc_dec_button_size</span></span><span class="token punctuation">:</span> 32px <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// Sizing for arrow buttons in the time picker</span>

<span class="token comment">// Font sizes</span>
<span class="token property"><span class="token variable">$dp__font_size</span></span><span class="token punctuation">:</span> 1rem <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// overall font-size</span>
<span class="token property"><span class="token variable">$dp__preview_font_size</span></span><span class="token punctuation">:</span> 0.8rem <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// font size of the date preview in the action row</span>
<span class="token property"><span class="token variable">$dp__time_font_size</span></span><span class="token punctuation">:</span> 2rem <span class="token statement keyword">!default</span><span class="token punctuation">;</span> <span class="token comment">// font size in the time picker</span>
</code></pre><div class="line-numbers"><span class="line-number">1</span><br><span class="line-number">2</span><br><span class="line-number">3</span><br><span class="line-number">4</span><br><span class="line-number">5</span><br><span class="line-number">6</span><br><span class="line-number">7</span><br><span class="line-number">8</span><br><span class="line-number">9</span><br><span class="line-number">10</span><br><span class="line-number">11</span><br><span class="line-number">12</span><br><span class="line-number">13</span><br><span class="line-number">14</span><br><span class="line-number">15</span><br><span class="line-number">16</span><br><span class="line-number">17</span><br><span class="line-number">18</span><br><span class="line-number">19</span><br><span class="line-number">20</span><br><span class="line-number">21</span><br><span class="line-number">22</span><br><span class="line-number">23</span><br><span class="line-number">24</span><br><span class="line-number">25</span><br><span class="line-number">26</span><br><span class="line-number">27</span><br><span class="line-number">28</span><br><span class="line-number">29</span><br><span class="line-number">30</span><br><span class="line-number">31</span><br><span class="line-number">32</span><br></div></div>`,5);function p(t,o){return e}var r=s(a,[["render",p]]);export{r as default};
